SDL_GetJoystickFromPlayerIndex(3)

NAME
SDL_GetJoystickFromPlayerIndex - Get the SDL_Joystick
 associated with a player index.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Joystick* SDL_GetJoystickFromPlayerIndex(int player_index);

FUNCTION PARAMETERS

player_index
    the player index to get the SDL_Joystick
     for

RETURN VALUE
Returns an SDL_Joystick
 on success or NULL on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetJoystickPlayerIndex(3), SDL_SetJoystickPlayerIndex(3)